const { MESSAGES } = require("../../util/constants");
const { canModifyQueue } = require("../../util/LanBot");

module.exports.run = (client, message, args, settings) => {
    if (!canModifyQueue(message.member))return message.channel.send('Vous devez être dans un salon vocal pour utiliser cette commande !');

    let queue = message.client.queue.get(message.guild.id)
    if(!queue) return message.channel.send({
        embed: {
            description: "Aucune musique de jouer, donc impossible d'utiliser la commande !",
            color: 'BLACK'
        }
    })
    message.react('✅')
    queue.songs = []
    queue.connection.dispatcher.end('Fin!')
};

module.exports.help = MESSAGES.COMMANDS.MUSIQUE.STOP;